Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>
Summary:   	pcre - perl compatible regular expressions
Name:      	pcre
Version:   	8.12
Release:   	1
Provides:	pcre
License: 	GNU/GPL
URL:		http://www.pcre.org
Group:     	System/Libraries
Source0: 	%{name}-%{version}.tar.bz2
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

BuildRequires:	bzip2-devel
BuildRequires:  zlib-devel
BuildRequires:	readline-devel
BuildRequires:  ncurses-devel

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: pkg-config

%description
The PCRE library is a set of functions that implement regular expression pattern matching using the same syntax and semantics as Perl 5. PCRE has its own native API, as well as a set of wrapper functions that correspond to the POSIX regular expression API. The PCRE library is free, even for building commercial software.


%package devel
Summary:        Development files for pcre
Group:          System/Libraries
Requires:       pcre = %{version}-%{release}

%description devel
Header files for developing applications using pcre

%post
ldconfig

%postun
ldconfig

%prep
%setup -q -n %{name}-%{version}


%build
# fix linkage against readline
export LDFLAGS="$LDFLAGS -lncurses"
# keep libpcre.so.* in /lib dir to be able to boot on systems with separate 
# /usr partitions (--libdir=/lib)
# DONT EVER EVEN THINK ABOUT REMOVING THIS !!!!
./configure --prefix=%{_prefix} --mandir=%{_mandir} --infodir=%{_infodir} --sysconfdir=%{_sysconfdir} --localstatedir=%{_localstatedir} --enable-utf8 --enable-unicode-properties --libdir=/lib --enable-pcregrep-libz --enable-pcregrep-libbz2 --enable-pcretest-libreadline
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# move pkgconfig to /usr/lib because this is the standard search path for 
# pkgconfigs
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mv $RPM_BUILD_ROOT/lib/pkgconfig $RPM_BUILD_ROOT%{_libdir}/

%files
%defattr(-,root,root)
%{_bindir}/pcregrep
%{_bindir}/pcretest
%{_mandir}/man1/pcre*.1.gz
/%{_lib}/libpcre.so.*
/%{_lib}/libpcrecpp.so.*
/%{_lib}/libpcrecpp.so.*
/%{_lib}/libpcreposix.so.*
/%{_lib}/libpcreposix.so.*

%files devel
%defattr(-,root,root)
%_bindir/pcre-config
%{_pkgconfig}/libpcre.pc
%{_pkgconfig}/libpcrecpp.pc
%{_pkgconfig}/libpcreposix.pc
/%{_lib}/libpcre.a
/%{_lib}/libpcre.la
/%{_lib}/libpcre.so
/%{_lib}/libpcrecpp.a
/%{_lib}/libpcrecpp.la
/%{_lib}/libpcrecpp.so
/%{_lib}/libpcreposix.a
/%{_lib}/libpcreposix.la
/%{_lib}/libpcreposix.so
%{_includedir}/pcre.h
%{_includedir}/pcre_scanner.h
%{_includedir}/pcre_stringpiece.h
%{_includedir}/pcrecpp.h
%{_includedir}/pcrecpparg.h
%{_includedir}/pcreposix.h
%{_docdir}/pcre
%{_mandir}/man3/pcre*.3.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Jan 16 2011 Karsten Brockmann <arcam@ccux-linux.de> 8.12-1
- Version update
* Mon Aug 23 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.10-1
- Version update
* Sat Mar 20 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.02-1
- Version update
* Tue Jan 19 2010 Karsten Brockmann <arcam@ccux-linux.de> 8.01-1
- Version update
- enabled zlib, bzip2 and readline support
* Wed Dec 09 2009 Karsten Brockmann <arcam@ccux-linux.de> 8.00-1
- Version update
* Fri Jun 26 2009 Karsten Brockmann <arcam@ccux-linux.de> 7.9-1
- Version update
- moved library files to /lib - fixes boot on systems with separate /usr partitions
* Fri Sep 05 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.8-1
- Version update
* Wed May 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.7-1
- Version update
* Sun Feb 17 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.6-1
- Version update
* Sat Jan 12 2008 Karsten Brockmann <arcam@ccux-linux.de> 7.5-1
- Version update
* Tue Nov 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.4-1
- Version update
* Tue Aug 28 2007 Karsten Brockmann <arcam@ccux-linux.de> 7.3-1
- Version update
- enabled unicode properties
* Wed Dec 27 2006 Karsten Brockmann <arcam@ccux-linux.de> 7.0-1
- Version update
* Sat Sep 23 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.7-2
- added unicode support
* Wed Jul 05 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.7-1
- Version Update
* Mon Feb 06 2006 Karsten Brockmann <arcam@ccux-linux.de> 6.6-1
- Version Update
* Sun Sep 18 2005 Christian Metzen <metzench@ccux-linux.de> 6.4-2
- Moved more files to devel package
* Sat Sep 17 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 6.4-1
- rebuilt SRPM, version update to 6.4
